Subject: Re: [PATCH] net: phy: Fix potential null pointer access

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 20 Nov 2023 09:51:34 +0000

On Mon, Nov 20, 2023 at 10:32:54AM +0100, Lukas Funke wrote:
> From: Lukas Funke <[email-masked]>
> 
> When there is no driver associated with the phydev, there will be a
> nullptr access. The commit checks if the phydev driver is set before
> access.

What's the call path that we encounter a NULL drv pointer?

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!